% Data Analysis and Visualization in MATLAB
%Step 1: Generate Random Data
data = randn (100, 1); % Generate 100 random data
%points from a normal distribution
%Step 2: Basic Statistics
mean_value = mean(data); % Calculate the mean of the data
std_dev = std(data); % Calculate the standard deviation of the data
%Step 3: Data Visualization
figure; % Create a new figure for plotting
%Histogram
subplot(2, 1, 1); % Create a subplot with 2 rows and 1 column, select the first subplot
hist(data, 20); % Create a histogram with 20
%bins
title('Histogram of Random Data'); % Add a title to the subplot
xlabel('Values'); % Label for the x
%axis
ylabel('Frequency'); % Label for the y
%axis
% Boxplot
% Boxplot
subplot(2, 1, 2); % Select the second subplot
subplot(2, 1, 2); % Select the second subplot
boxplot(data); % Create a boxplot
boxplot(data); % Create a boxplot
title('Boxplot of Random Data'); % Add a title to the subplot
title('Boxplot of Random Data'); % Add a title to the subplot
xlabel('Data'); % Label for the x
xlabel('Data'); % Label for the x--axisaxis
ylabel('Values'); % Label for the y
ylabel('Values'); % Label for the y--axisaxis
% Display Statistics
% Display Statistics
%disp
disp(['Mean: ', num2str((['Mean: ', num2str(mean_value)]))]);
%disp
disp(['Standard Deviation: ', num2str((['Standard Deviation: ', num2str(std_dev)]))]);