function y=circonv(x,h)
%CIRCCONV Circular convolution
%
%Y=CIRCCONV(X,H) COMPUTES THE CIRCULAR CONVOLUTION OF
%VECTORS X AND H.
%
%X AND H MUST BE VECTORS OF THE SAME LENGTH.
L=length(x);
y=zeros(L,1);
for n=1:L
for m=1:L
y(n)=y(n)+x(mod(n-m+L,L)+1)*h(m);
end
end
end