clc; % Clears the command window
clear all; % Clears all variables from the workspace
close all; % Closes all open figure windows
warning off; % Turns off warning messages
c = webcam; % Creates a webcam object
while true % Infinite loop
x = c.snapshot; % Captures a snapshot from the webcam
imshow(x); % Displays the captured image
a = rgb2gray(x); % Converts the RGB image to grayscale
subplot(1,2,1); % Creates a subplot with 1 row, 2 columns, and selects the first subplot
imshow(x); % Displays the original image in the first subplot
title('Original image'); % Sets the title for the first subplot
w = edge(a,'canny'); % Applies the Canny edge detection to the grayscale image
subplot(1,2,2); % Selects the second subplot
imshow(w); % Displays the result of the Canny operation in the second subplot
title('Canny operation'); % Sets the title for the second subplot
end